Bug 1291225 - Review Request: python-tempdir - Automatically manage temporary directories, based on tempfile.mkdtemp
Review Request: python-tempdir - Automatically manage temporary directories, ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 06:08 EST by Dominik 'Rathann' Mierzejewski
Modified: 2016-01-07 16:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-07 16:38:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2015-12-14 06:08:09 EST
Spec URL: https://rathann.fedorapeople.org/review/python-tempdir/python-tempdir.spec
SRPM URL: https://rathann.fedorapeople.org/review/python-tempdir/python-tempdir-0.6-1.fc24.src.rpm
Description:
Having to manually manage temporary directories is annoying. So this class encapsulates temporary directories which just disappear after use, including contained directories and files. Temporary directories are created with tempfile.mkdtemp and thus save from race conditions.

Fedora Account System Username: rathann
Comment 1 Antonio Trande 2015-12-14 07:15:02 EST
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 7 files have
     unknown license. Detailed output of licensecheck in
     /home/sagitter/1291225-python-tempdir/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5/site-packages/__pycache__, /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5/site-packages/__pycache__,
     /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-tempdir , python3-tempdir
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-tempdir-0.6-1.fc24.noarch.rpm
          python3-tempdir-0.6-1.fc24.noarch.rpm
          python-tempdir-0.6-1.fc24.src.rpm
python2-tempdir.noarch: W: spelling-error Summary(en_US) tempfile -> temp file, temp-file, temple
python2-tempdir.noarch: W: spelling-error Summary(en_US) mkdtemp -> Tempe
python2-tempdir.noarch: W: spelling-error %description -l en_US tempfile -> temp file, temp-file, temple
python2-tempdir.noarch: W: spelling-error %description -l en_US mkdtemp -> Tempe
python3-tempdir.noarch: W: spelling-error Summary(en_US) tempfile -> temp file, temp-file, temple
python3-tempdir.noarch: W: spelling-error Summary(en_US) mkdtemp -> Tempe
python3-tempdir.noarch: W: spelling-error %description -l en_US tempfile -> temp file, temp-file, temple
python3-tempdir.noarch: W: spelling-error %description -l en_US mkdtemp -> Tempe
python-tempdir.src: W: spelling-error Summary(en_US) tempfile -> temp file, temp-file, temple
python-tempdir.src: W: spelling-error Summary(en_US) mkdtemp -> Tempe
python-tempdir.src: W: spelling-error %description -l en_US tempfile -> temp file, temp-file, temple
python-tempdir.src: W: spelling-error %description -l en_US mkdtemp -> Tempe
3 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-tempdir (rpmlib, GLIBC filtered):
    python(abi)

python2-tempdir (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-tempdir:
    python3-tempdir

python2-tempdir:
    python-tempdir
    python-tempdir(x86-64)
    python2-tempdir



Source checksums
----------------
https://pypi.python.org/packages/source/t/tempdir/tempdir-0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 147d10b8e3b711f844d84ea905244ed44d69aebdfaa3dbaa7f18c0344c40d53a
  CHECKSUM(SHA256) upstream package : 147d10b8e3b711f844d84ea905244ed44d69aebdfaa3dbaa7f18c0344c40d53a


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1291225
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Gwyn Ciesla 2015-12-14 10:51:35 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-tempdir
Comment 3 Dominik 'Rathann' Mierzejewski 2016-01-07 16:38:34 EST
Package was built and released in F22+.

Note You need to log in before you can comment on or make changes to this bug.